Download it now!
Bug 63114 - XLSX import: Diagram invisible
Summary: XLSX import: Diagram invisible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-04 12:09 UTC by bugfinderx
Modified: 2016-08-03 22:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ods, xls and xlsx-files (21.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-04 12:58 UTC, bugfinderx
Details
xls-exported from ods with LO 4.0.2 (13.00 KB, application/vnd.ms-excel)
2013-04-04 12:58 UTC, bugfinderx
Details
xlsx-exported from ods with LO 4.0.2 (9.14 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-04-04 12:59 UTC, bugfinderx
Details
xlsx-exported from xls with SoftMaker Office 2012 (the xls was exported from ods with LO 4.0.2) (11.86 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-04-04 13:00 UTC, bugfinderx
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugfinderx 2013-04-04 12:09:32 UTC
I opend a XLSX-file exported with LO 4.0.0. in LO 4.0.0 and higher.

In the orginal ods was an diagram (Ringdiagramm), which was missing wehn in opend the exported xlsx in LO 4.0.0 or highter. The diagramm is not visible, but the legend ist correct. the border of the diagramm is exitent, you can click it and move ist, but in doest show the diagramm-graphic.

If i open the same xlsx-file in OpenOffice 3.4.1, LibreOffice 3.6.4 or SoftMaker Office 2012, the diagram is correct shown.

I also created a XLSX-file with Softmaker Office 2012 (ods to xls with LO 4.0.0, xls to xlsx with Softmaker Office 2012).
OpenOffice 3.4.1, LO 3.6.4 and Softmaker Office 2012 display the diagramm correct, but in LO 4.0.0 and higher the diagram invisbile too.


(In exported xls-files the diagram is correct shown in LO 4.0.0, ist just a problem with xlsx-files)


TestSystem: Windows 7, XP, Debian-Linux 6.0 (i368)

Office: LibreOffice 4.0.0 and higher
Comment 1 bugfinderx 2013-04-04 12:58:02 UTC
Created attachment 77417 [details]
ods, xls and xlsx-files
Comment 2 bugfinderx 2013-04-04 12:58:51 UTC
Created attachment 77418 [details]
xls-exported from ods with LO 4.0.2
Comment 3 bugfinderx 2013-04-04 12:59:37 UTC
Created attachment 77419 [details]
xlsx-exported from ods with LO 4.0.2
Comment 4 bugfinderx 2013-04-04 13:00:44 UTC
Created attachment 77420 [details]
xlsx-exported from xls with SoftMaker Office 2012 (the xls was exported from ods with LO 4.0.2)
Comment 5 Jorendc 2013-04-05 23:27:56 UTC
Thanks for reporting!

I can reproduce this behavior using Mac OSX 10.8.3 with LibreOffice 4.0.2.2. The diagram is gone when you save the ods file to xlsx and reopen it using LibreOffice. Open the xlsx file using Excel (for Mac 2010) shows the diagram in a very ugly way. I think Major Medium is indeed a correct priority for this bug.

Kind regards,
Joren
Comment 6 Commit Notification 2013-05-27 00:28:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54fbbc20b8397a8362f5a0878744c3a082464713

respect element order in OOXML chart export, related fdo#63114



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-05-27 11:14:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7855cd6704c864911d97b73f8c46d712975ec9b5&h=libreoffice-4-1

respect element order in OOXML chart export, related fdo#63114


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Markus Mohrhard 2013-05-29 15:42:19 UTC
My current patch only fixes problems with the import into Excel in LO 4.1/master. The remaining problems are import problems as the file can be opened correctly by Excel.
Comment 9 Commit Notification 2014-02-23 05:43:41 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c68ea7ef4a75decae6c157bc49205bedb08192ee

don't write axId for dougnught chart, related fdo#63114



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Joel Madero 2015-05-02 15:43:48 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-06-21 12:21:01 UTC
Donut chart legends go to 1 column instead of 2 and the percentages turn into numbers.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 12 Bartosz 2016-08-03 22:56:26 UTC
Closed as the original problem was resolved.

If you noticed any other issue, please create new bug report.